import type { Redis } from "ioredis";
export declare class TokenRepo {
    private readonly redis;
    constructor(redis: Redis);
    create(id: string): Promise<string>;
    getById(id: string): Promise<string | null>;
    check(token: string): Promise<string | null>;
    revoke(id: string): Promise<boolean>;
}
